REST API v1
Reports
Base URL https://your-site.com/wp-json/cliedesk-api/v1. See the overview for keys, scopes and errors.
Metric catalogue
GET /reports/metrics
Scope reports:read · Cost 10
Overview numbers for a period
GET /reports/overview
Scope reports:read · Cost 10
Parameters
| Name | Type | Description |
|---|---|---|
compare | query · boolean | |
from | query · string | |
to | query · string | |
product_id | query · string | |
queue_id | query · integer | |
team_id | query · string | |
agent_id | query · integer | |
channel | query · string | |
conditions | query · string | |
business | query · boolean | |
average | query · boolean | |
preset | query · string | One of: today, 7d, 30d, 90d |
A metric over time
GET /reports/series
Scope reports:read · Cost 10
Parameters
| Name | Type | Description |
|---|---|---|
compare | query · boolean | |
from | query · string | |
to | query · string | |
product_id | query · string | |
queue_id | query · integer | |
team_id | query · string | |
agent_id | query · integer | |
channel | query · string | |
conditions | query · string | |
business | query · boolean | |
average | query · boolean | |
preset | query · string | One of: today, 7d, 30d, 90d |
metric required | query · string | One of: created, resolved, replies |